PHP 7.3.0 deprecates case_insensitive param in define()

PHP 7.3.0 deprecates case_insensitive param in define()

tangerinetangerine Posts: 2,768Questions: 22Answers: 323

7.3.0 case_insensitive has been deprecated and will be removed in version 8.0.0.

ErrorException [ Deprecated ]: define(): Declaration of case-insensitive constants is deprecated
\DataTables\DataTables.php
13 define("DATATABLES", true, true);

I ran straight into this after upgrading PHP. It's no problem for me, but I thought I should pass it on.
Would the devs like to be told if I should run into anything else re DT with PHP 7.3.0?

Replies

  • allanallan Posts: 52,636Questions: 1Answers: 8,053 Site admin

    Fixed that one a while back :).

    I'm not aware of anything else that will cause a problem in 7.3 or 7.4 (particularly if you update to the latest versions of the libraries).

    Allan

  • tangerinetangerine Posts: 2,768Questions: 22Answers: 323

    Drat. Sorry Allan. I must have managed to run a test against an earlier version somehow. I should have known it was more likely to be me....

Sign In or Register to comment.